(*
    FCE
    Copyright (c) 1996 Alessandro Scotti
    http://www.ascotti.org/

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)
unit Extra;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls;

const
  CUR_NOTE = 1;
  CUR_RING = 2;
  CUR_SKIP = 3;
  CUR_WINDOW = 4;

function SendKeys( pszKeys: PChar ): integer;
function SetForegroundWindow( H: HWnd ): integer;

implementation

{$R FCEEXTRA}

function SendKeys( pszKeys: PChar ): integer; external 'SENDKEYS';

function SetForegroundWindow( H: HWnd ): integer; external 'USER.EXE' index 609;


var
  I: integer;
initialization
  for I:=1 to 4 do
    Screen.Cursors[I] := LoadCursor( hInstance, MakeIntResource(I) );
end.
